Argus API Argus Camera API

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Public Member Functions | Static Public Member Functions | Protected Member Functions
Argus::Ext::IFaceDetectMetadata Class Reference

Exposes the face detect result objects in a CaptureMetadata object. More...

`#include <FaceDetect.h>`

Inheritance diagram for Argus::Ext::IFaceDetectMetadata:

List of all members.

## Public Member Functions

virtual Status | getFaceDetectResults (std::vector< InterfaceProvider * > *results) const =0

## Static Public Member Functions

static const InterfaceID & | id ()

## Protected Member Functions

| ~IFaceDetectMetadata ()
Protected Member Functions inherited from Argus::Interface
| Interface ()
| ~Interface ()

## Detailed Description

Exposes the face detect result objects in a CaptureMetadata object.

These results objects must support at least IFaceDetectResult.

Definition at line 109 of file FaceDetect.h.

## Constructor & Destructor Documentation

Argus::Ext::IFaceDetectMetadata::~IFaceDetectMetadata | ( |  | ) |

inlineprotected

Definition at line 123 of file FaceDetect.h.

## Member Function Documentation

virtual Status Argus::Ext::IFaceDetectMetadata::getFaceDetectResults | ( | std::vector< InterfaceProvider * > * | results | ) | const

pure virtual

Returns:
  the face detection results.

Parameters:

  [out] | results,a | vector that will be populated with the face detect results.

Returns:
  success/status of the call.

static const InterfaceID& Argus::Ext::IFaceDetectMetadata::id | ( |  | ) |

inlinestatic

Definition at line 112 of file FaceDetect.h.

The documentation for this class was generated from the following file:

- include/Argus/Ext/FaceDetect.h